[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TCustomMemoryStream.Read

Reads Count bytes from the stream into buffer.

## Declaration

Source position: classesh.inc line 945

`public function TCustomMemoryStream.Read(`
`var Buffer;`
`Count: LongInt`
`):LongInt; override;`

## Description

Read reads Count bytes from the stream into the memory pointed to by buffer. It returns the number of bytes actually read.

This method overrides the TStream.Read method of TStream. It will read as much bytes as are still available in the memory area pointer to by Memory. After the bytes are read, the internal stream position is updated.

## See also

TCustomMemoryStream.Memory |  | Pointer to the data kept in the memory stream.
TStream.Read |  | Reads data from the stream to a buffer and returns the number of bytes read.

Documentation generated on: Feb 26 2014